Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Class PublishInstruction

    java.lang.Object
      org.gradle.api.artifacts.PublishInstruction

    public class PublishInstruction

extends java.lang.Object

Uploading details for artifacts produced by a project.

Constructor Summary
`PublishInstruction()` Creates a publish instruction for not uploading an module descriptor file.
`PublishInstruction(boolean uploadDescriptor, java.io.File descriptorDestination)` Creates a publish instruction.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.io.File` | `getDescriptorDestination()` Returns the file destination where to create the ivy.xml file.
`int` | `hashCode()`
`boolean` | `isUploadDescriptor()` Returns whether an xml module descriptor file should be uploaded or not.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishInstruction

    public PublishInstruction()

  Creates a publish instruction for not uploading an module descriptor file.

### PublishInstruction

    public PublishInstruction(boolean uploadDescriptor,
                              java.io.File descriptorDestination)

  Creates a publish instruction. If `uploadDescriptor` is set to true and the target destination is an ivy repository, the ivy file destination needs to be specified.

  Parameters:
    `uploadDescriptor` -
    `descriptorDestination` -

Method Detail

### isUploadDescriptor

    public boolean isUploadDescriptor()

  Returns whether an xml module descriptor file should be uploaded or not.

### getDescriptorDestination

    public java.io.File getDescriptorDestination()

  Returns the file destination where to create the ivy.xml file. Can be null.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD